<?php
/**
 * The Footer: widgets area, logo, footer menu and socials
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0
 */

						// Widgets area inside page content
						aldo_create_widgets_area( 'widgets_below_content' );
						?>
					</div><!-- </.content> -->

					<?php
					// Show main sidebar
					get_sidebar();

					$aldo_body_style = aldo_get_theme_option( 'body_style' );
					if ( 'fullscreen' != $aldo_body_style ) {
						?>
						</div><!-- </.content_wrap> -->
						<?php
					}

					// Widgets area below page content and related posts below page content
					$aldo_widgets_name = aldo_get_theme_option( 'widgets_below_page' );
					$aldo_show_widgets = ! aldo_is_off( $aldo_widgets_name ) && is_active_sidebar( $aldo_widgets_name );
					$aldo_show_related = is_single() && aldo_get_theme_option( 'related_position' ) == 'below_page';
					if ( $aldo_show_widgets || $aldo_show_related ) {
						if ( 'fullscreen' != $aldo_body_style ) {
							?>
							<div class="content_wrap">
							<?php
						}
						// Show related posts before footer
						if ( $aldo_show_related ) {
							do_action( 'aldo_action_related_posts' );
						}

                        // Widgets area below page content
						if ( $aldo_show_widgets ) {
							aldo_create_widgets_area( 'widgets_below_page' );
						}
						if ( 'fullscreen' != $aldo_body_style ) {
							?>
							</div><!-- </.content_wrap> -->
							<?php
						}
					}
					?>
			</div><!-- </.page_content_wrap> -->

			<?php
			// Single posts banner before footer
			if ( is_singular( 'post' ) ) {
				aldo_show_post_banner('footer');
			}
			// Footer
			$aldo_footer_type = aldo_get_theme_option( 'footer_type' );
			if ( 'custom' == $aldo_footer_type && ! aldo_is_layouts_available() ) {
				$aldo_footer_type = 'custom';
			}

			get_template_part( apply_filters( 'aldo_filter_get_template_part', "templates/footer-{$aldo_footer_type}" ) );
			?>

		</div><!-- /.page_wrap -->

	</div><!-- /.body_wrap -->

	<?php wp_footer(); ?>

</body>
</html>