<div class="front_page_section front_page_section_woocommerce<?php
	$aldo_scheme = aldo_get_theme_option( 'front_page_woocommerce_scheme' );
	if ( ! aldo_is_inherit( $aldo_scheme ) ) {
		echo ' scheme_' . esc_attr( $aldo_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( aldo_get_theme_option( 'front_page_woocommerce_paddings' ) );
?>"
		<?php
		$aldo_css      = '';
		$aldo_bg_image = aldo_get_theme_option( 'front_page_woocommerce_bg_image' );
		if ( ! empty( $aldo_bg_image ) ) {
			$aldo_css .= 'background-image: url(' . esc_url( aldo_get_attachment_url( $aldo_bg_image ) ) . ');';
		}
		if ( ! empty( $aldo_css ) ) {
			echo ' style="' . esc_attr( $aldo_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$aldo_anchor_icon = aldo_get_theme_option( 'front_page_woocommerce_anchor_icon' );
	$aldo_anchor_text = aldo_get_theme_option( 'front_page_woocommerce_anchor_text' );
if ( ( ! empty( $aldo_anchor_icon ) || ! empty( $aldo_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_woocommerce"'
									. ( ! empty( $aldo_anchor_icon ) ? ' icon="' . esc_attr( $aldo_anchor_icon ) . '"' : '' )
									. ( ! empty( $aldo_anchor_text ) ? ' title="' . esc_attr( $aldo_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_woocommerce_inner
	<?php
	if ( aldo_get_theme_option( 'front_page_woocommerce_fullheight' ) ) {
		echo ' aldo-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$aldo_css      = '';
			$aldo_bg_mask  = aldo_get_theme_option( 'front_page_woocommerce_bg_mask' );
			$aldo_bg_color_type = aldo_get_theme_option( 'front_page_woocommerce_bg_color_type' );
			if ( 'custom' == $aldo_bg_color_type ) {
				$aldo_bg_color = aldo_get_theme_option( 'front_page_woocommerce_bg_color' );
			} elseif ( 'scheme_bg_color' == $aldo_bg_color_type ) {
				$aldo_bg_color = aldo_get_scheme_color( 'bg_color', $aldo_scheme );
			} else {
				$aldo_bg_color = '';
			}
			if ( ! empty( $aldo_bg_color ) && $aldo_bg_mask > 0 ) {
				$aldo_css .= 'background-color: ' . esc_attr(
					1 == $aldo_bg_mask ? $aldo_bg_color : aldo_hex2rgba( $aldo_bg_color, $aldo_bg_mask )
				) . ';';
			}
			if ( ! empty( $aldo_css ) ) {
				echo ' style="' . esc_attr( $aldo_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
			<?php
			// Content wrap with title and description
			$aldo_caption     = aldo_get_theme_option( 'front_page_woocommerce_caption' );
			$aldo_description = aldo_get_theme_option( 'front_page_woocommerce_description' );
			if ( ! empty( $aldo_caption ) || ! empty( $aldo_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $aldo_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo ! empty( $aldo_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses_post( $aldo_caption );
					?>
					</h2>
					<?php
				}

				// Description (text)
				if ( ! empty( $aldo_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo ! empty( $aldo_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses_post( wpautop( $aldo_description ) );
					?>
					</div>
					<?php
				}
			}

			// Content (widgets)
			?>
			<div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs">
			<?php
				$aldo_woocommerce_sc = aldo_get_theme_option( 'front_page_woocommerce_products' );
			if ( 'products' == $aldo_woocommerce_sc ) {
				$aldo_woocommerce_sc_ids      = aldo_get_theme_option( 'front_page_woocommerce_products_per_page' );
				$aldo_woocommerce_sc_per_page = count( explode( ',', $aldo_woocommerce_sc_ids ) );
			} else {
				$aldo_woocommerce_sc_per_page = max( 1, (int) aldo_get_theme_option( 'front_page_woocommerce_products_per_page' ) );
			}
				$aldo_woocommerce_sc_columns = max( 1, min( $aldo_woocommerce_sc_per_page, (int) aldo_get_theme_option( 'front_page_woocommerce_products_columns' ) ) );
				echo do_shortcode(
					"[{$aldo_woocommerce_sc}"
									. ( 'products' == $aldo_woocommerce_sc
											? ' ids="' . esc_attr( $aldo_woocommerce_sc_ids ) . '"'
											: '' )
									. ( 'product_category' == $aldo_woocommerce_sc
											? ' category="' . esc_attr( aldo_get_theme_option( 'front_page_woocommerce_products_categories' ) ) . '"'
											: '' )
									. ( 'best_selling_products' != $aldo_woocommerce_sc
											? ' orderby="' . esc_attr( aldo_get_theme_option( 'front_page_woocommerce_products_orderby' ) ) . '"'
												. ' order="' . esc_attr( aldo_get_theme_option( 'front_page_woocommerce_products_order' ) ) . '"'
											: '' )
									. ' per_page="' . esc_attr( $aldo_woocommerce_sc_per_page ) . '"'
									. ' columns="' . esc_attr( $aldo_woocommerce_sc_columns ) . '"'
					. ']'
				);
				?>
			</div>
		</div>
	</div>
</div>
