<?php
/**
 * The template to display the socials in the footer
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0.10
 */


// Socials
if ( aldo_is_on( aldo_get_theme_option( 'socials_in_footer' ) ) ) {
	$aldo_output = aldo_get_socials_links();
	if ( '' != $aldo_output ) {
		?>
		<div class="footer_socials_wrap socials_wrap">
			<div class="footer_socials_inner">
				<?php aldo_show_layout( $aldo_output ); ?>
			</div>
		</div>
		<?php
	}
}
