<?php
/**
 * The template to display the background video in the header
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0.14
 */
$aldo_header_video = aldo_get_header_video();
$aldo_embed_video  = '';
if ( ! empty( $aldo_header_video ) && ! aldo_is_from_uploads( $aldo_header_video ) ) {
	if ( aldo_is_youtube_url( $aldo_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $aldo_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php aldo_show_layout( aldo_get_embed_video( $aldo_header_video ) ); ?></div>
		<?php
	}
}
