<div class="front_page_section front_page_section_about<?php
	$aldo_scheme = aldo_get_theme_option( 'front_page_about_scheme' );
	if ( ! aldo_is_inherit( $aldo_scheme ) ) {
		echo ' scheme_' . esc_attr( $aldo_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( aldo_get_theme_option( 'front_page_about_paddings' ) );
?>"
		<?php
		$aldo_css      = '';
		$aldo_bg_image = aldo_get_theme_option( 'front_page_about_bg_image' );
		if ( ! empty( $aldo_bg_image ) ) {
			$aldo_css .= 'background-image: url(' . esc_url( aldo_get_attachment_url( $aldo_bg_image ) ) . ');';
		}
		if ( ! empty( $aldo_css ) ) {
			echo ' style="' . esc_attr( $aldo_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$aldo_anchor_icon = aldo_get_theme_option( 'front_page_about_anchor_icon' );
	$aldo_anchor_text = aldo_get_theme_option( 'front_page_about_anchor_text' );
if ( ( ! empty( $aldo_anchor_icon ) || ! empty( $aldo_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_about"'
									. ( ! empty( $aldo_anchor_icon ) ? ' icon="' . esc_attr( $aldo_anchor_icon ) . '"' : '' )
									. ( ! empty( $aldo_anchor_text ) ? ' title="' . esc_attr( $aldo_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_about_inner
	<?php
	if ( aldo_get_theme_option( 'front_page_about_fullheight' ) ) {
		echo ' aldo-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$aldo_css           = '';
			$aldo_bg_mask       = aldo_get_theme_option( 'front_page_about_bg_mask' );
			$aldo_bg_color_type = aldo_get_theme_option( 'front_page_about_bg_color_type' );
			if ( 'custom' == $aldo_bg_color_type ) {
				$aldo_bg_color = aldo_get_theme_option( 'front_page_about_bg_color' );
			} elseif ( 'scheme_bg_color' == $aldo_bg_color_type ) {
				$aldo_bg_color = aldo_get_scheme_color( 'bg_color', $aldo_scheme );
			} else {
				$aldo_bg_color = '';
			}
			if ( ! empty( $aldo_bg_color ) && $aldo_bg_mask > 0 ) {
				$aldo_css .= 'background-color: ' . esc_attr(
					1 == $aldo_bg_mask ? $aldo_bg_color : aldo_hex2rgba( $aldo_bg_color, $aldo_bg_mask )
				) . ';';
			}
			if ( ! empty( $aldo_css ) ) {
				echo ' style="' . esc_attr( $aldo_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_about_content_wrap content_wrap">
			<?php
			// Caption
			$aldo_caption = aldo_get_theme_option( 'front_page_about_caption' );
			if ( ! empty( $aldo_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_about_caption front_page_block_<?php echo ! empty( $aldo_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses_post( $aldo_caption ); ?></h2>
				<?php
			}

			// Description (text)
			$aldo_description = aldo_get_theme_option( 'front_page_about_description' );
			if ( ! empty( $aldo_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_about_description front_page_block_<?php echo ! empty( $aldo_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses_post( wpautop( $aldo_description ) ); ?></div>
				<?php
			}

			// Content
			$aldo_content = aldo_get_theme_option( 'front_page_about_content' );
			if ( ! empty( $aldo_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_content front_page_section_about_content front_page_block_<?php echo ! empty( $aldo_content ) ? 'filled' : 'empty'; ?>">
				<?php
					$aldo_page_content_mask = '%%CONTENT%%';
				if ( strpos( $aldo_content, $aldo_page_content_mask ) !== false ) {
					$aldo_content = preg_replace(
						'/(\<p\>\s*)?' . $aldo_page_content_mask . '(\s*\<\/p\>)/i',
						sprintf(
							'<div class="front_page_section_about_source">%s</div>',
							apply_filters( 'the_content', get_the_content() )
						),
						$aldo_content
					);
				}
					aldo_show_layout( $aldo_content );
				?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
