<div class="front_page_section front_page_section_googlemap<?php
	$aldo_scheme = aldo_get_theme_option( 'front_page_googlemap_scheme' );
	if ( ! aldo_is_inherit( $aldo_scheme ) ) {
		echo ' scheme_' . esc_attr( $aldo_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( aldo_get_theme_option( 'front_page_googlemap_paddings' ) );
?>"
		<?php
		$aldo_css      = '';
		$aldo_bg_image = aldo_get_theme_option( 'front_page_googlemap_bg_image' );
		if ( ! empty( $aldo_bg_image ) ) {
			$aldo_css .= 'background-image: url(' . esc_url( aldo_get_attachment_url( $aldo_bg_image ) ) . ');';
		}
		if ( ! empty( $aldo_css ) ) {
			echo ' style="' . esc_attr( $aldo_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$aldo_anchor_icon = aldo_get_theme_option( 'front_page_googlemap_anchor_icon' );
	$aldo_anchor_text = aldo_get_theme_option( 'front_page_googlemap_anchor_text' );
if ( ( ! empty( $aldo_anchor_icon ) || ! empty( $aldo_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_googlemap"'
									. ( ! empty( $aldo_anchor_icon ) ? ' icon="' . esc_attr( $aldo_anchor_icon ) . '"' : '' )
									. ( ! empty( $aldo_anchor_text ) ? ' title="' . esc_attr( $aldo_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_googlemap_inner
	<?php
	if ( aldo_get_theme_option( 'front_page_googlemap_fullheight' ) ) {
		echo ' aldo-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$aldo_css      = '';
			$aldo_bg_mask  = aldo_get_theme_option( 'front_page_googlemap_bg_mask' );
			$aldo_bg_color_type = aldo_get_theme_option( 'front_page_googlemap_bg_color_type' );
			if ( 'custom' == $aldo_bg_color_type ) {
				$aldo_bg_color = aldo_get_theme_option( 'front_page_googlemap_bg_color' );
			} elseif ( 'scheme_bg_color' == $aldo_bg_color_type ) {
				$aldo_bg_color = aldo_get_scheme_color( 'bg_color', $aldo_scheme );
			} else {
				$aldo_bg_color = '';
			}
			if ( ! empty( $aldo_bg_color ) && $aldo_bg_mask > 0 ) {
				$aldo_css .= 'background-color: ' . esc_attr(
					1 == $aldo_bg_mask ? $aldo_bg_color : aldo_hex2rgba( $aldo_bg_color, $aldo_bg_mask )
				) . ';';
			}
			if ( ! empty( $aldo_css ) ) {
				echo ' style="' . esc_attr( $aldo_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_googlemap_content_wrap
		<?php
			$aldo_layout = aldo_get_theme_option( 'front_page_googlemap_layout' );
		if ( 'fullwidth' != $aldo_layout ) {
			echo ' content_wrap';
		}
		?>
		">
			<?php
			// Content wrap with title and description
			$aldo_caption     = aldo_get_theme_option( 'front_page_googlemap_caption' );
			$aldo_description = aldo_get_theme_option( 'front_page_googlemap_description' );
			if ( ! empty( $aldo_caption ) || ! empty( $aldo_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'fullwidth' == $aldo_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}
					// Caption
				if ( ! empty( $aldo_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_googlemap_caption front_page_block_<?php echo ! empty( $aldo_caption ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses_post( $aldo_caption );
					?>
					</h2>
					<?php
				}

					// Description (text)
				if ( ! empty( $aldo_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_googlemap_description front_page_block_<?php echo ! empty( $aldo_description ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses_post( wpautop( $aldo_description ) );
					?>
					</div>
					<?php
				}
				if ( 'fullwidth' == $aldo_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$aldo_content = aldo_get_theme_option( 'front_page_googlemap_content' );
			if ( ! empty( $aldo_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'columns' == $aldo_layout ) {
					?>
					<div class="front_page_section_columns front_page_section_googlemap_columns columns_wrap">
						<div class="column-1_3">
					<?php
				} elseif ( 'fullwidth' == $aldo_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}

				?>
				<div class="front_page_section_content front_page_section_googlemap_content front_page_block_<?php echo ! empty( $aldo_content ) ? 'filled' : 'empty'; ?>">
				<?php
					echo wp_kses_post( $aldo_content );
				?>
				</div>
				<?php

				if ( 'columns' == $aldo_layout ) {
					?>
					</div><div class="column-2_3">
					<?php
				} elseif ( 'fullwidth' == $aldo_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Widgets output
			?>
			<div class="front_page_section_output front_page_section_googlemap_output">
			<?php
			if ( is_active_sidebar( 'front_page_googlemap_widgets' ) ) {
				dynamic_sidebar( 'front_page_googlemap_widgets' );
			} elseif ( current_user_can( 'edit_theme_options' ) ) {
				if ( ! aldo_exists_trx_addons() ) {
					aldo_customizer_need_trx_addons_message();
				} else {
					aldo_customizer_need_widgets_message( 'front_page_googlemap_caption', 'ThemeREX Addons - Google map' );
				}
			}
			?>
			</div>
			<?php

			if ( 'columns' == $aldo_layout && ( ! empty( $aldo_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>
		</div>
	</div>
</div>
