<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
if ( ! aldo_is_inherit( aldo_get_theme_option( 'copyright_scheme' ) ) ) {
	echo ' scheme_' . esc_attr( aldo_get_theme_option( 'copyright_scheme' ) );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$aldo_copyright = aldo_get_theme_option( 'copyright' );
			if ( ! empty( $aldo_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$aldo_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $aldo_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$aldo_copyright = aldo_prepare_macros( $aldo_copyright );
				// Display copyright
				echo wp_kses_post( nl2br( $aldo_copyright ) );
			}
			?>
			</div>
		</div>
	</div>
</div>
