<?php
/**
 * The template to display menu in the footer
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0.10
 */

// Footer menu
$aldo_menu_footer = aldo_get_nav_menu(
	array(
		'location' => 'menu_footer',
		'class'    => 'sc_layouts_menu sc_layouts_menu_default',
	)
);
if ( ! empty( $aldo_menu_footer ) ) {
	?>
	<div class="footer_menu_wrap">
		<div class="footer_menu_inner">
			<?php aldo_show_layout( $aldo_menu_footer ); ?>
		</div>
	</div>
	<?php
}
