<?php
/**
 * The template to display the main menu
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0
 */
?>
<div class="top_panel_navi sc_layouts_row sc_layouts_row_type_compact sc_layouts_row_fixed sc_layouts_row_fixed
	<?php
	if ( aldo_is_on( aldo_get_theme_option( 'header_mobile_enabled' ) ) ) {
		?>
		sc_layouts_hide_on_mobile
		<?php
	}
	?>
">
	<div class="content_wrap">
		<div class="columns_wrap columns_fluid">

            <div class="sc_layouts_column sc_layouts_column_align_left sc_layouts_column_icons_position_left sc_layouts_column_fluid column-3_12">
                <div class="sc_layouts_item">
                    <?php
                        aldo_show_layout( aldo_get_socials_links(), '<div class="socials_wrap">', '</div>' );
                    ?>
                </div>
            </div><div class="sc_layouts_column sc_layouts_column_align_center sc_layouts_column_icons_position_center sc_layouts_column_fluid column-6_12">

                <div class="sc_layouts_item center">
					<?php
					// Logo
					get_template_part( apply_filters( 'aldo_filter_get_template_part', 'templates/header-logo' ) );
					?>
				</div>

			</div><div class="sc_layouts_column sc_layouts_column_align_right sc_layouts_column_icons_position_right sc_layouts_column_fluid column-3_12">

                <div class="sc_layouts_item top">
                    <div class="sc_layouts_iconed_text sc_layouts_menu_mobile_button">
                        <a class="sc_layouts_item_link sc_layouts_iconed_text_link" href="#">
                            <span class="sc_layouts_item_icon sc_layouts_iconed_text_icon trx_addons_icon-menu"></span>
                            <span class="menu_mobile_close icon-close"></span>
                        </a>
                    </div>
                </div><?php
                if ( aldo_exists_trx_addons() ) {
                    ?><div class="sc_layouts_item top">
                        <?php
                        // Display search field
                        do_action(
                            'aldo_action_search',
                            array(
                                'style' => 'fullscreen',
                                'class' => 'header_search',
                                'ajax'  => false
                            )
                        );
                        ?>
                    </div>
                    <?php
                }
                ?>
			</div>

		</div><!-- /.columns_wrap -->
	</div><!-- /.content_wrap -->
</div><!-- /.top_panel_navi -->
