<?php
/**
 * The template to show mobile menu
 *
 * @package WordPress
 * @subpackage ALDO
 * @since ALDO 1.0
 */
?>
<div class="menu_mobile_overlay"></div>
<div class="menu_mobile menu_mobile_<?php echo esc_attr( aldo_get_theme_option( 'menu_mobile_fullscreen' ) > 0 ? 'fullscreen' : 'narrow' ); ?>

<?php
if ( ! aldo_is_inherit( aldo_get_theme_option( 'header_scheme' ) ) ) {
		echo ' scheme_' . esc_attr( aldo_get_theme_option( 'header_scheme' ) );
	}
?>
">
	<div class="menu_mobile_inner">
        <div class="content_wrap">
            <span class="menu_mobile_close icon-close"></span>
            <?php
            // Mobile menu
            $aldo_menu_mobile = aldo_get_nav_menu( 'menu_mobile' );
            if ( empty( $aldo_menu_mobile ) ) {
                $aldo_menu_mobile = apply_filters( 'aldo_filter_get_mobile_menu', '' );
                if ( empty( $aldo_menu_mobile ) ) {
                    $aldo_menu_mobile = aldo_get_nav_menu( 'menu_main' );
                }
                if ( empty( $aldo_menu_mobile ) ) {
                    $aldo_menu_mobile = aldo_get_nav_menu();
                }
            }
            if ( ! empty( $aldo_menu_mobile ) ) {
                $aldo_menu_mobile = str_replace(
                    array( 'menu_main',   'id="menu-',        'sc_layouts_menu_nav', 'sc_layouts_menu ', 'sc_layouts_hide_on_mobile', 'hide_on_mobile' ),
                    array( 'menu_mobile', 'id="menu_mobile-', '',                    ' ',                '',                          '' ),
                    $aldo_menu_mobile
                );
                if ( strpos( $aldo_menu_mobile, '<nav ' ) === false ) {
                    $aldo_menu_mobile = sprintf( '<nav class="menu_mobile_nav_area">%s</nav>', $aldo_menu_mobile );
                }
                aldo_show_layout( apply_filters( 'aldo_filter_menu_mobile_layout', $aldo_menu_mobile ) );
            }
		?>
	</div>
        <?php
        $mobile_text = aldo_get_theme_option('mobile_text');
        if(!empty($mobile_text)){ ?>
            <div class="menu_mobile_text"><div class="content_wrap"><?php
            aldo_show_layout(do_shortcode($mobile_text));
                ?></div></div><?php
        }
        ?>
	</div>
</div>